githubEdit

Remote configuration endpoints

List remote configs

get

List all available remote configurations with optional filtering by groups, facility, or user.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
sizenumber · max: 500Optional

Number of results to return (max 500)

Default: 25
startAfterIdstringOptional

Cursor for pagination - ID to start after

groupsstring[]Optional

Filter by group(s)

facilityIdstringOptional

Filter by facility ID

userIdstringOptional

Filter by user ID

Responses
chevron-right
200

Central RemoteConfiguration

application/json

RemoteConfigurations

totalnumberOptional

Total number of found entities for this query

Example: 42
get
/api/remoteconfigs

Create remote config

post

Create a new remote configuration with specified key, value, type, groups, and optional scopes.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

RemoteConfigurationForCreation

groupsstring[] · min: 1 · max: 20Required

Groups this configuration belongs to

Example: ["INVENTORY"]
keystringRequired

Unique business key of this entity

Example: PICKING_SHOW_NEW_SCAN_VIEW
valueone ofRequired

The value of this remote configuration

stringOptional
or
integerOptional
or
numberOptional
or
booleanOptional
or
objectOptional
valueTypestring · enumRequired

The type of the value

Possible values:
Responses
chevron-right
200

Created entity in the body.

application/json

RemoteConfiguration

createdstring · date-timeOptional

The date this entity was created at the platform

flattenScopeIdsstring[]Required

Generated flatten unique ids of all scope sub elements (userRef, facilityRef)

Example: ["INVENTORY","67151fc3-3ce1-400e-8b23-23c29e0cde90"]
groupsstring[] · min: 1 · max: 20Required

Groups this configuration belongs to

Example: ["INVENTORY"]
idstringRequired

Auto generated unique identifier

Example: LGMl2DuvPnfPoSHhYFOm
keystringRequired

Unique business key of this entity

Example: PICKING_SHOW_NEW_SCAN_VIEW
lastModifiedstring · date-timeOptional

The date this entity was modified last

valueone ofRequired

The value of this remote configuration

stringOptional
or
integerOptional
or
numberOptional
or
booleanOptional
or
objectOptional
valueTypestring · enumRequired

The type of the value

Possible values:
versionnumberRequired

The version of the document for optimistic locking

post
/api/remoteconfigs

Get remote config

get

Get a single remote configuration by its unique identifier.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
chevron-right
200

Central RemoteConfiguration

application/json

RemoteConfiguration

createdstring · date-timeOptional

The date this entity was created at the platform

flattenScopeIdsstring[]Required

Generated flatten unique ids of all scope sub elements (userRef, facilityRef)

Example: ["INVENTORY","67151fc3-3ce1-400e-8b23-23c29e0cde90"]
groupsstring[] · min: 1 · max: 20Required

Groups this configuration belongs to

Example: ["INVENTORY"]
idstringRequired

Auto generated unique identifier

Example: LGMl2DuvPnfPoSHhYFOm
keystringRequired

Unique business key of this entity

Example: PICKING_SHOW_NEW_SCAN_VIEW
lastModifiedstring · date-timeOptional

The date this entity was modified last

valueone ofRequired

The value of this remote configuration

stringOptional
or
integerOptional
or
numberOptional
or
booleanOptional
or
objectOptional
valueTypestring · enumRequired

The type of the value

Possible values:
versionnumberRequired

The version of the document for optimistic locking

get
/api/remoteconfigs/{id}

Update remote config

put

Replace an existing remote configuration by its unique identifier. All fields will be replaced with the provided values.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body

RemoteConfigurationForPut

groupsstring[] · min: 1 · max: 20Required

Groups this configuration belongs to

Example: ["INVENTORY"]
valueone ofRequired

The value of this remote configuration

stringOptional
or
integerOptional
or
numberOptional
or
booleanOptional
or
objectOptional
valueTypestring · enumRequired

The type of the value

Possible values:
versionnumberRequired

The version of the document for optimistic locking

Responses
chevron-right
200

Successfully Changed

application/json

RemoteConfiguration

createdstring · date-timeOptional

The date this entity was created at the platform

flattenScopeIdsstring[]Required

Generated flatten unique ids of all scope sub elements (userRef, facilityRef)

Example: ["INVENTORY","67151fc3-3ce1-400e-8b23-23c29e0cde90"]
groupsstring[] · min: 1 · max: 20Required

Groups this configuration belongs to

Example: ["INVENTORY"]
idstringRequired

Auto generated unique identifier

Example: LGMl2DuvPnfPoSHhYFOm
keystringRequired

Unique business key of this entity

Example: PICKING_SHOW_NEW_SCAN_VIEW
lastModifiedstring · date-timeOptional

The date this entity was modified last

valueone ofRequired

The value of this remote configuration

stringOptional
or
integerOptional
or
numberOptional
or
booleanOptional
or
objectOptional
valueTypestring · enumRequired

The type of the value

Possible values:
versionnumberRequired

The version of the document for optimistic locking

put
/api/remoteconfigs/{id}

Create remote config scope

post

Add a new scope to an existing remote configuration. The scope will be added to the list of existing scopes.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body

AddRemoteConfigurationScopeParameter

remoteConfigVersionnumberRequired

The version of the remote config for optimistic locking

Responses
chevron-right
200

Updated RemoteConfiguration in the body.

application/json

RemoteConfiguration

createdstring · date-timeOptional

The date this entity was created at the platform

flattenScopeIdsstring[]Required

Generated flatten unique ids of all scope sub elements (userRef, facilityRef)

Example: ["INVENTORY","67151fc3-3ce1-400e-8b23-23c29e0cde90"]
groupsstring[] · min: 1 · max: 20Required

Groups this configuration belongs to

Example: ["INVENTORY"]
idstringRequired

Auto generated unique identifier

Example: LGMl2DuvPnfPoSHhYFOm
keystringRequired

Unique business key of this entity

Example: PICKING_SHOW_NEW_SCAN_VIEW
lastModifiedstring · date-timeOptional

The date this entity was modified last

valueone ofRequired

The value of this remote configuration

stringOptional
or
integerOptional
or
numberOptional
or
booleanOptional
or
objectOptional
valueTypestring · enumRequired

The type of the value

Possible values:
versionnumberRequired

The version of the document for optimistic locking

post
/api/remoteconfigs/{id}/scopes

Update remote config

patch

Update an existing remote configuration by its unique identifier. Only provided fields will be updated, others will remain unchanged.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body

RemoteConfigurationForUpdate

groupsstring[] · min: 1 · max: 20Optional

Groups this configuration belongs to

Example: ["INVENTORY"]
valueone ofOptional

The value of this remote configuration

stringOptional
or
integerOptional
or
numberOptional
or
booleanOptional
or
objectOptional
valueTypestring · enumOptional

The type of the value

Possible values:
versionnumberRequired

The version of the document for optimistic locking

Responses
chevron-right
200

Successfully Changed

application/json

RemoteConfiguration

createdstring · date-timeOptional

The date this entity was created at the platform

flattenScopeIdsstring[]Required

Generated flatten unique ids of all scope sub elements (userRef, facilityRef)

Example: ["INVENTORY","67151fc3-3ce1-400e-8b23-23c29e0cde90"]
groupsstring[] · min: 1 · max: 20Required

Groups this configuration belongs to

Example: ["INVENTORY"]
idstringRequired

Auto generated unique identifier

Example: LGMl2DuvPnfPoSHhYFOm
keystringRequired

Unique business key of this entity

Example: PICKING_SHOW_NEW_SCAN_VIEW
lastModifiedstring · date-timeOptional

The date this entity was modified last

valueone ofRequired

The value of this remote configuration

stringOptional
or
integerOptional
or
numberOptional
or
booleanOptional
or
objectOptional
valueTypestring · enumRequired

The type of the value

Possible values:
versionnumberRequired

The version of the document for optimistic locking

patch
/api/remoteconfigs/{id}

Delete remote config

delete

Delete a remote configuration by its unique identifier. This operation is irreversible.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
chevron-right
200

Successfully Deleted

No content

delete
/api/remoteconfigs/{id}

No content

Delete remote config scope

delete

Remove a scope from an existing remote configuration by scope ID. The scope will be removed from the list of existing scopes.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
scopeIdstringRequired
Query parameters
versionnumberRequired

Version of the remote config for optimistic locking

Responses
chevron-right
200

Successfully Deleted

application/json

RemoteConfiguration

createdstring · date-timeOptional

The date this entity was created at the platform

flattenScopeIdsstring[]Required

Generated flatten unique ids of all scope sub elements (userRef, facilityRef)

Example: ["INVENTORY","67151fc3-3ce1-400e-8b23-23c29e0cde90"]
groupsstring[] · min: 1 · max: 20Required

Groups this configuration belongs to

Example: ["INVENTORY"]
idstringRequired

Auto generated unique identifier

Example: LGMl2DuvPnfPoSHhYFOm
keystringRequired

Unique business key of this entity

Example: PICKING_SHOW_NEW_SCAN_VIEW
lastModifiedstring · date-timeOptional

The date this entity was modified last

valueone ofRequired

The value of this remote configuration

stringOptional
or
integerOptional
or
numberOptional
or
booleanOptional
or
objectOptional
valueTypestring · enumRequired

The type of the value

Possible values:
versionnumberRequired

The version of the document for optimistic locking

delete
/api/remoteconfigs/{id}/scopes/{scopeId}

Last updated